Sitecore Publishing Service – compatibility tables (for SPS prior to 4.1.0)

  • The following document contains information on Sitecore Publishing Service (SPS) compatibility with the Sitecore Experience Platform. The tables below apply only to SPS versions from 1.1 Initial Release to 4.0.0.
    Click here to find out about SPS compatibility for version 4.1.0 and higher.
  • Sitecore XP 8:
    Sitecore XP SPS 1.1 Initial Release SPS 2.0 Initial Release SPS 2.0 Update-1 SPS 2.1 Initial Release SPS 2.2 Initial Release SPS 2.2 Update-1
    8.2 Initial Release - - - - -
    8.2 Update-1 - - - - -
    8.2 Update-2 -
    8.2 Update-3 -
    8.2 Update-4 - -
    8.2 Update-5 - -
    8.2 Update-6 - - -
    8.2 Update-7 - - - -

    Sitecore XP 9:
    Sitecore XP SPS 3.0
    Initial Release
    SPS 3.1
    Initial Release
    SPS 3.1
    Update-1
    SPS 3.1
    Update-2
    SPS 3.1
    Update-2
    SPS 3.1
    Update-3

    SPS 4.0.0

    9.0 Initial Release -
    9.0 Update-1 - -
    9.0 Update-2 - -
    9.1 Initial Release - - - - - -
    9.1 Update-1 - - - - - -


    Legend: "-" – not supported; "✓" – supported.

  • SPS Release SPS module version SPS service version
    2.1 Initial Release v2.0.0-r0325 v3.0.60
    2.2 Initial Release v2.2.0-r00407 v3.1.11
    2.2 Update-1 v2.2.1-r00438 v3.1.44
    3.0 Initial Release v3.1.0-r0227 v3.0.60
    3.1 Initial Release v3.2.0-r00435 v3.1.11
    3.1 Update-1 v3.2.1-r00478 v3.1.44
    3.1 Update-2 v3.2.2-r00506 v3.1.53
    3.1 Update-3 v3.2.3-r00514 v3.1.55
    4.0.0 v4.0.0-r00521 v4.0.0

Applies to:

Publishing Service 1.1 Initial Release - 4.0.0

July 26, 2017
October 23, 2019

Keywords: 

  • Publishing